﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using aspbasics2_website4.classes.product;

namespace aspbasics2_website4.pages {
    public partial class AddProducts : System.Web.UI.Page {

        Order order;
        protected void Page_Load(object sender, System.EventArgs e) {
            if (!Page.IsPostBack) {
                if (Session["Order"] == null) {
                    Response.Redirect("CreateOrder.aspx");
                }
                else {
                    order = (Order)Session["Order"];
                }
            }
            else {
                order = (Order)Session["Order"];
            }
        }

        protected void btnAddProduct_Click(object sender, System.EventArgs e) {
            // Add product to order
            double price = Convert.ToDouble(txtPrice.Text);
            String desc = txtDescription.Text;
            Product p = new Product(price, desc);
            order.addProduct(p);
            Session["Order"] = order;

            // Display confirmation
            String msg = String.Format("Product added to order: {0}", p.ToString());
            msg += Environment.NewLine;
            txtMessage.Text = msg;

            // Cleanup
            txtPrice.Text = String.Empty;
            txtDescription.Text = String.Empty;
            txtDescription.Focus();
        }

        protected void btnTotal_Click(object sender, System.EventArgs e) {
            double sum = 0.0;

            for (int i = 0; i < order.NumProducts; i++) {
                Product p = order.GetProduct(i);
                sum += p.Price;
            }
            // Display current total of all prices.
            string msg = String.Format("Num Products: {0}, Total Price: {1:C}", order.NumProducts, sum);
            txtMessage.Text = msg;
        }

        protected void btnReset_Click(object sender, System.EventArgs e) {
            Session.Clear();
            txtMessage.Text = "";
            Response.Redirect(Request.RawUrl);
        }

        protected void btnReviewOrder_Click(object sender, EventArgs e) {
            Response.Redirect("ReviewOrder.aspx");
        }
    }
}