﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using aspbasics2_website4.classes.teams;

namespace aspbasics2_website4.pages {
	public partial class DataBinding : System.Web.UI.Page {
        protected void Page_Load(object sender, EventArgs e) {
            if (!Page.IsPostBack) {
                ListItem[] lis = getPlayers();
                lstLeft.DataSource = lis;
                lstLeft.DataBind();

                List<Team> teams = getTeams();
                lstTeams.DataTextField = "Name";
                lstTeams.DataValueField = "Location";
                lstTeams.DataSource = teams;
                lstTeams.DataBind();
            }
        }

        protected void btnToRight_Click(object sender, EventArgs e) {
            movePlayers(lstLeft, lstRight);
        }

        protected void btnToLeft_Click(object sender, EventArgs e) {
            movePlayers(lstRight, lstLeft);
        }

        private void movePlayers(ListBox lstFrom, ListBox lstTo) {
            for (int i = lstFrom.Items.Count - 1; i >= 0; i--) {
                ListItem li = lstFrom.Items[i];

                if (li.Selected) {
                    lstTo.Items.Add(li);
                    lstFrom.Items.Remove(li);
                }
            }
            lstFrom.SelectedIndex = -1;
            lstTo.SelectedIndex = -1;
        }

        private ListItem[] getPlayers() {
            ListItem[] lis = new ListItem[11];
            lis[0] = new ListItem("Jones, Ren", "23");
            lis[1] = new ListItem("Maida, Stew", "4");
            lis[2] = new ListItem("Milton, Frank", "27");
            lis[3] = new ListItem("Huxley, Ann", "17");
            lis[4] = new ListItem("Weibstle, Ben", "41");
            lis[5] = new ListItem("Denton, Ian", "32");
            lis[6] = new ListItem("Geighton, Sue", "16");
            lis[7] = new ListItem("Tucker, Len", "7");
            lis[8] = new ListItem("Seol, Yul", "11");
            lis[9] = new ListItem("Creigh, Deborah", "28");
            lis[10] = new ListItem("Norton, Vivian", "22");

            return lis;
        }

        private List<Team> getTeams() {
            List<Team> teams = new List<Team>();
            teams.Add(new Team("Knicks", "NYC", 12));
            teams.Add(new Team("Magic", "Orlando", 14));
            teams.Add(new Team("Bucks", "Milwaukee", 14));
            teams.Add(new Team("Thunder", "Oklahoma City", 14));
            teams.Add(new Team("Hawks", "Atlanta", 14));
            teams.Add(new Team("Pistons", "Detroit", 14));
            return teams;
        }

        protected void btnReset_Click(object sender, EventArgs e) {
            ListItem[] lis = getPlayers();
            lstLeft.DataSource = lis;
            lstLeft.DataBind();
            lstRight.Items.Clear();
        }
    }
}