﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using aspbasics2_website4.classes.IndexerExamples;


namespace aspbasics2_website4.pages {
    public partial class Indexer : System.Web.UI.Page {
        protected void Page_Load(object sender, EventArgs e) {
            txtMsg.Text = "";
            example1();
            example2();
            example3();
        }

        private void example1() {
            // Indexer uses an array
            Exams exams = new Exams(3);
            exams[0] = 80;
            exams[1] = 90;
            exams[2] = 90;

            double score = exams[1];

            double avg = exams.Average();

            txtMsg.Text += "-->Example 1: Indexer using an array" + Environment.NewLine;
            txtMsg.Text += String.Format("Exam Average: {0:0.00}", avg) + Environment.NewLine + Environment.NewLine;
        }

        private void example2() {
            // Indexer uses a List
            Exams2 exams = new Exams2();
            int c = exams.Count();
            exams[0] = 80;
            exams[1] = 80;
            //exams[2] = 90;

            double avg = exams.Average();

            txtMsg.Text += "-->Example 2: Indexer using a List" + Environment.NewLine;
            txtMsg.Text += String.Format("Exam Average: {0:0.00}", avg) + Environment.NewLine + Environment.NewLine;
        }

        private void example3() {
            txtMsg.Text += "-->Example 3: Overloaded Indexer" + Environment.NewLine;

            Customers customers = new Customers();

            Customer c = new Customer("Dave", "123 Nevins");
            customers[0] = c;
            c = new Customer("Tom", "555 Slater");
            customers.Add(c);
            c = new Customer("Linda", "77 Ridgeway");
            customers.Add(c);

            c = customers["Tom"];
            if (c != null)
                txtMsg.Text += "Customer found: " + c + Environment.NewLine;
            else
                txtMsg.Text += "Customer not found" + Environment.NewLine;

            c = customers["Renny"];
            if (c != null)
                txtMsg.Text += "Customer found: " + c + Environment.NewLine;
            else
                txtMsg.Text += "Customer not found" + Environment.NewLine + Environment.NewLine;
        }
    }
}