﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Tracing.aspx.cs" Inherits="aspbasics2_website4.pages.Tracing" Trace="true" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Tracing</title>
    <link href="../site.css" rel="stylesheet" type="text/css" />
</head>
<body>
    <!-- #Include File="header2.txt" -->
    <form id="form1" runat="server">
    <div>
        <p><b>Tracing</b></p>

        <asp:Button ID="btnTest" runat="server" onclick="btnTest_Click" 
            Text="Compute" Font-Bold="False" />

        &nbsp;Trace
        
        <asp:RadioButtonList ID="rblTrace" runat="server" 
            RepeatDirection="Horizontal" RepeatLayout="Flow" OnSelectedIndexChanged="rblTrace_SelectedIndexChanged">
            <asp:ListItem Selected="True">On</asp:ListItem>
            <asp:ListItem>Off</asp:ListItem>
        </asp:RadioButtonList>
        
        <p>Tracing a page allows you to see a lot of information about the server-side 
        processing that takes places. To turn tracing on, simply add the Trace attribute 
        to the @page directive in the Source:</p>

        <strong>&lt;%@ Page Language=&quot;C#&quot; AutoEventWireup=&quot;true&quot; CodeFile=&quot;e14.aspx.cs&quot; 
        Inherits=&quot;wa01._01.e14&quot; </strong> <span class="style1"><strong>Trace=&quot;true&quot;</strong></span><strong>%&gt;</strong><br />
        
        <br />
        When the Compute button is pressed, Page_Load is called and then the button click event is called. In each event, we call a method which we want to time. Thus, we put a 
        <strong>Trace.Warn</strong> around the method. Similar with the &quot;Compute&quot; button.<br />
        <br />
        You can also turn tracing on with the page variable, Trace, e.g Trace.IsEnabled 
        = true;<ol>

            <li class="medium">Use: Trace.Write(&quot;category&quot;, &quot;message&quot;) to write to the trace. 
                Appears in black.</li>
            <li class="medium">Use: Trace.Warn(&quot;category&quot;, &quot;message&quot;) to write to the trace. 
                Appears in red.</li>
            <li class="medium">You can also set application level tracing.</li>
                </ol>
        <br />
    
    </div>
    </form>
</body>
</html>
